Bug 1927311

Summary: Performance: Console makes unnecessary requests for en-US messages on load
Product: OpenShift Container Platform Reporter: OpenShift BugZilla Robot <openshift-bugzilla-robot>
Component: Management ConsoleAssignee: Samuel Padgett <spadgett>
Status: CLOSED ERRATA QA Contact: Yadan Pei <yapei>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.7CC: aos-bugs, jokerman, yapei
Target Milestone: ---   
Target Release: 4.7.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Improve console load performance by avoiding unnecessary network requests that 404 when the user's locale is set to en-US.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-04-05 13:55:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1927310    
Bug Blocks:    

Description OpenShift BugZilla Robot 2021-02-10 13:55:36 UTC
+++ This bug was initially created as a clone of Bug #1927310 +++

Console supports English messages using the `en` language only. We don't have separate messages for locales like `en-US` and `en-GB`. Currently, the way i18next is configured, console tries to get the `en-US` messages first, which causes dozens of 404 network requests. It doesn't result in any user-visible errors, but it slows down console load, particularly since browser limit how many requests can be made in parallel. This can slow down console load by more than a second in some cases.

We should configure i18next to use the language-only when requesting a namespace to avoid the unnecessary requests.

Comment 5 Yadan Pei 2021-03-29 08:13:25 UTC
No locales/en-US request message now on console loads, verified on 4.7.0-0.nightly-2021-03-27-082615

Comment 7 errata-xmlrpc 2021-04-05 13:55:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.5 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1005